//////////////////////////////////////////////////////////
//
//	MwlAghWindow
//
//////////////////////////////////////////////////////////

#ifndef __MwlAghWindow_H__
#define __MwlAghWindow_H__

#include "MwlAghCommon.h"
#include "mwl.h"
#include "MyuWindow.h"

//	クラス宣言
class _MWLAGH_LIB_EXP CMwlAghWindow : public agh::CWindowBase
{
private:
	class CMyuWindow_Agh : public CMyuWindow
	{
	private:
		agh::CWindowBase* m_pOnTarget;
	public:
		CMyuWindow_Agh(){}
		CMyuWindow_Agh(agh::CWindowBase* pOnTarget){
			m_pOnTarget = pOnTarget;
		}
		void SetOnTarget(agh::CWindowBase* pOnTarget){
			m_pOnTarget = pOnTarget;
		}

		virtual bool OnClose(){ return m_pOnTarget->OnClose(); }
	};

	//CMyuWindow m_window;
	CMyuWindow_Agh m_window;
	agh::CWindowBase *m_pOnTarget;

public:
	//	コンストラクタ・デストラクタ
	CMwlAghWindow();
	CMwlAghWindow(agh::CWindowBase* pOnTarget);
	virtual ~CMwlAghWindow();

	virtual void Start();
	virtual void SetWindowTitle(const char* szTitle);
};

//typedef CMwlAghWindow CAugustImage;

namespace mwlagh
{
	typedef ::CMwlAghWindow CWindow;
}

#endif//__MwlAghWindow_H__
